Questions
Your audience submits questions through the room's Submit form. Use this endpoint to open or close the form. Questions that come in appear in the room's messages.
POST/rooms/{room_id}/accept_questions
Open or close the Submit form
Sets whether the audience can submit questions to this room.
Path parameters
- Name
room_id- Type
- string
- Required
- Description
The room's id, from its address:
/o/ROOM_ID/….
Body
- Name
accepting- Type
- boolean
- Required
- Description
trueopens the form,falsecloses it.
Request
POST
/rooms/{room_id}/accept_questionscurl -X POST https://app.kloksi.com/api/v1/rooms/ROOM_ID/accept_questions \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"accepting":true}'
Response 200
{
"ok": true,
"message": "Accepting audience questions",
"data": {
"_id": "x7kp2mqa",
"_model": "room",
"_updated_at": "2026-11-05T09:30:00.000Z",
"name": "Annual Conference",
"date": "2026-11-05",
"blackout": false,
"dim": 0,
"focus_message": false,
"on_air": false,
"logo": "",
"timezone": "Europe/Berlin",
"language": "en",
"team_id": "6f2c1e9ab04d7c3e8a5b1d20",
"accepting_questions": false,
"questionnaire": {
"logo": {
"mode": "kloksi"
},
"title": "",
"subtitle": "",
"question_label": "",
"name_label": "",
"hide_name": false
},
"protected_outputs": [
"controller"
],
"archived": false,
"cue_stage_id": "stage-1",
"stages": [
{
"_id": "x7kp2mqa",
"name": "Annual Conference",
"active_timer_id": "V1StGXR8Z5jd",
"timers_count": 1,
"end_of_show": null,
"end_of_show_trigger": "MANUAL",
"end_of_show_loops": 2,
"end_of_show_new_day": false,
"show_run": null
}
]
}
}